Subject: bug#54041: closed (Re: bug#54041: cannot load (gnu services virtualization))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Feb 2022 13:18:02 +0000

Your bug report

#54041: cannot load (gnu services virtualization)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54041: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54041
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54041: cannot load (gnu services virtualization)
From: Ludovic Courtès <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 Feb 2022 14:16:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> When I add
>
>     (service qemu-guest-agent-service-type)
>
> to the list of my services and add (gnu services virtualization) to the
> imports and then try to build my system configuration I get this error:
>
>     guix system: error: #<<location> file: "gnu/services/virtualization.scm" line: 893 column: 18>: invalid G-expression input

Fixed in 01821914e272ed682dc83b5163c17a0345dcaf17.

I believe the bug has always been there.  There are no tests for this
service.  :-/

Ludo’.

Subject: cannot load (gnu services virtualization)
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Thu, 17 Feb 2022 12:59:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When I add

    (service qemu-guest-agent-service-type)

to the list of my services and add (gnu services virtualization) to the
imports and then try to build my system configuration I get this error:

    guix system: error: #<<location> file: "gnu/services/virtualization.scm" line: 893 column: 18>: invalid G-expression input

-- 
Ricardo